from django import  forms

class formAzienda(forms.Form):
  def __init__(self,*args,**kwargs):
    forms.Form.__init__(self,*args,**kwargs)
    self.fields['nome'] = forms.CharField(required=True)
    self.fields['partitaiva'] = forms.CharField(required=True)
    self.fields['mail'] = forms.CharField(required=False)
    self.fields['cambiopassword'] = forms.BooleanField(required=False)
    self.fields['forzanuovapassword' ] = forms.BooleanField(required=False)
    self.fields['cancellaazienda'] = forms.BooleanField(required=False)

class formSede(forms.Form):
  def __init__(self,*args,**kwargs):
    forms.Form.__init__(self,*args,**kwargs)
    self.fields['nome'] = forms.CharField(required=True)
    self.fields['info'] = forms.CharField(required=False)
    self.fields['cancellasede'] = forms.BooleanField(required=False)
    self.fields['cambiopassword'] = forms.BooleanField(required=False)
    self.fields['forzanuovapassword'] = forms.BooleanField(required=False)
    self.fields['identificativo'] = forms.CharField(required=False)

class formPinMail(forms.Form):
  def __init__(self,*args,**kwargs):
    forms.Form.__init__(self,*args,**kwargs)
    self.fields['mail'] = forms.CharField(required=False)
    self.fields['pin'] = forms.CharField(required=True)



